<?php
/**
 * @package   T3 Blank
 * @copyright Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license   GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;
$sitename = $this->params->get('sitename') ? $this->params->get('sitename') : JFactory::getConfig()->get('sitename');
$slogan = $this->params->get('slogan');
$logotype  = $this->params->get('logotype', 'text');
$logoimage = $logotype == 'image' ? $this->params->get('logoimage', T3Path::getUrl('images/logo.png', '', true)) : '';
$logoimgsm = ($logotype == 'image' && $this->params->get('enable_logoimage_sm', 0)) ? $this->params->get('logoimage_sm', T3Path::getUrl('images/logo-sm.png', '', true)) : false;

?>

<!-- HEADER -->
<header id="t3-header" class="wrap t3-header">
	<!-- NAVBAR BUTTON -->
	<button type="button" class="btn btn-navbar visible-phone" data-toggle="collapse" data-target=".nav-collapse">
		<i class="icon-reorder"></i>
	</button>
	<!-- // NAVBAR BTN -->
  <div class="row">
    <?php if ($this->countModules('top-header')) : ?>
      <!-- TOP HEADER -->
      <div class="top-header span6<?php $this->_c('top-header')?>">     
          <jdoc:include type="modules" name="<?php $this->_p('top-header') ?>" style="T3Xhtml" />
      </div>
      <!-- //TOP HEADER -->
    <?php endif ?>

    <div class="span6 top-social">
		<div class="row-fluid">
			<div class="span12 pull-right logo">
		        <div class="logo-<?php echo $logotype, ($logoimgsm ? ' logo-control' : '') ?>">
		          <a href="<?php echo JURI::base(true) ?>" title="<?php echo strip_tags($sitename) ?>">
		            <?php if($logotype == 'image'): ?>
		              <img class="logo-img <?php if($logoimgsm) : ?> hidden-phone hidden-tablet <?php endif ?>" src="<?php echo JURI::base(true) . '/' . $logoimage ?>" alt="<?php echo strip_tags($sitename) ?>" />
		            <?php endif ?>
		            <?php if($logoimgsm) : ?>
		              <img class="logo-img-sm visible-tablet visible-phone" src="<?php echo JURI::base(true) . '/' . $logoimgsm ?>" alt="<?php echo strip_tags($sitename) ?>" />
		            <?php endif ?>
		            <span><?php echo $sitename ?></span>
		          </a>
		          <small class="site-slogan"><?php echo $slogan ?></small>
		        </div>
	      	</div>


		  <?php if ($this->countModules('followus') || $this->countModules('login') || $this->countModules('head-search')) : ?>
		  <!-- USER, FOLLOW US -->
		  <div class="nav span12 head-social pull-right clearfix">
		  
			<ul class="nav-tabs btn-social">
				<li class="dropdown">
					<jdoc:include type="modules" name="<?php $this->_p('languageswitcherload') ?>" style="raw" />
				</li>
				<?php if($this->countModules('followus')) : ?>
				<li class="dropdown parent nav-connect" data-altkey="S">
				  <a tabindex="-1" href="" data-toggle="dropdown" class="dropdown-toggle">
					<i class="icon-plus"></i><?php echo JText::_('TPL_FOLLOWUS') ?>
				  </a>
				  <div class="nav-child dropdown-menu">
					<div class="dropdown-menu-inner">
					  <jdoc:include type="modules" name="<?php $this->_p('followus') ?>" style="T3Xhtml" />
					</div>
				  </div>
				</li>
				<?php endif; ?>
				<?php if($this->countModules('login')) : ?>
				<?php $user = JFactory::getUser(); ?>
				<li class="dropdown parent nav-connect<?php echo ((!$user->get('guest')) ? ' logged' : ''); ?>" data-altkey="U">
				  <a tabindex="-1" href="" data-toggle="dropdown" class="dropdown-toggle">
					<i class="icon-user"></i>
					<?php echo ((!$user->get('guest')) ? '<span class="uname">' . $user->get('name') . '</span>' : JText::_('TPL_USER')); ?>
				  </a>
				  <div class="nav-child dropdown-menu">
					<div class="dropdown-menu-inner">
					  <jdoc:include type="modules" name="<?php $this->_p('login') ?>" style="T3Xhtml" />
					</div>
				  </div>
				</li>
				<?php endif; ?>
				<?php if($this->countModules('head-search')) : ?>
				<li class="dropdown parent nav-connect" data-altkey="F">
				  <a tabindex="-1" href="" data-toggle="dropdown" class=" dropdown-toggle">
					<i class="icon-search"></i><?php echo JText::_('TPL_SEARCH') ?>
				  </a>
				  <div class="nav-child dropdown-menu">
					<div class="dropdown-menu-inner">
					  <jdoc:include type="modules" name="<?php $this->_p('head-search') ?>" style="T3Xhtml" />
					  <?php if($this->getParam('tpl_enable_qsearch', 1)) : ?>
					  <div class="qs-result-panel t3-hide">
						<div class="qs-result-header"><h2><?php echo JText::_('TPL_SEARCH_FOR') ?><span class="qskeyword">...</span></h2></div>
						<div class="qs-result-list-wrap"><div class="qs-result-list"></div></div>
						<div class="qs-result-paging pagination"></div>
					  </div>
					  <?php endif; ?>
					</div>
				  </div>
				</li>
				<?php endif; ?>
				<?php if ($this->countModules('sidebar-1')) : ?>
				<li class="dropdown nav-helps" data-altkey="I">
				  <a tabindex="-1" title="<?php echo JText::_('TPL_HELPS') ?>" href="#t3-sidebar-1" role="button">
					<i class="icon-info"></i><?php echo JText::_('TPL_HELPS') ?>
				  </a>
				</li>
				<?php endif ?>
			</ul>
		  </div>
		  <!-- //USER, FOLLOW US -->
		  <?php endif ?>


		</div>
    </div>
  </div>
</header>
<!-- //HEADER -->
